package com.xtd.project.assets.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xtd.framework.aspectj.lang.annotation.Excel;
import com.xtd.framework.web.domain.BaseEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 库存管理对象 db_assets_stock
 *
 * @author xtd
 * @date 2020-04-09
 */
public class DbAssetsStock extends BaseEntity implements Serializable {

    /**
     * id
     */
    private Long aId;

    /**
     * 资产编号
     */
    @Excel(name = "资产编号")
    private String aNumber;

    /**
     * 资产名称
     */
    @Excel(name = "资产名称")
    private String aName;

    /**
     * 入库类型
     */
//    @Excel(name = "入库类型")
    private Long storageType;

    /**
     * 入库时间
     */
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date wareTime;

    /**
     * 类型
     */
//    @Excel(name = "类型")
    private Long dbMaterielId;

    /**
     * 供应商
     */
//    @Excel(name = "供应商")
    private Long dbSupplierId;

    /**
     * 规格型号
     */
    @Excel(name = "规格型号")
    private String specType;

    /**
     * 状态
     */
//    @Excel(name = "状态")
    private Long storageStatus;

    /**
     * 制单人
     */
    private Long sysUserId;

    @Excel(name = "制单人")
    private String sysUser;

    /**
     * 保质期
     */
//    @Excel(name = "保质期")
    private Integer shelf;

    /**
     * 保质期开始
     */
    @Excel(name = "保质期开始", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shelfLifeStart;

    /**
     * 保质期结束
     */
    @Excel(name = "保质期结束", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shelfLifeEnd;

    /**
     * 领用人
     */
    private Long leadUserId;

    /**
     * 领用时间
     */
    @Excel(name = "领用时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date leadTime;
    /**
     * 领用人
     */
    @Excel(name = "领用人")
    private String leadUser;


    public String getSysUser() {
        return sysUser;
    }

    public void setSysUser(String sysUser) {
        this.sysUser = sysUser;
    }

    public String getLeadUser() {
        return leadUser;
    }

    public void setLeadUser(String leadUser) {
        this.leadUser = leadUser;
    }

    public void setaId(Long aId) {
        this.aId = aId;
    }

    public Long getaId() {
        return aId;
    }

    public void setaNumber(String aNumber) {
        this.aNumber = aNumber;
    }

    public String getaNumber() {
        return aNumber;
    }

    public void setaName(String aName) {
        this.aName = aName;
    }

    public String getaName() {
        return aName;
    }

    public void setStorageType(Long storageType) {
        this.storageType = storageType;
    }

    public Long getStorageType() {
        return storageType;
    }

    public void setWareTime(Date wareTime) {
        this.wareTime = wareTime;
    }

    public Date getWareTime() {
        return wareTime;
    }

    public void setDbMaterielId(Long dbMaterielId) {
        this.dbMaterielId = dbMaterielId;
    }

    public Long getDbMaterielId() {
        return dbMaterielId;
    }

    public void setDbSupplierId(Long dbSupplierId) {
        this.dbSupplierId = dbSupplierId;
    }

    public Long getDbSupplierId() {
        return dbSupplierId;
    }

    public void setSpecType(String specType) {
        this.specType = specType;
    }

    public String getSpecType() {
        return specType;
    }

    public void setStorageStatus(Long storageStatus) {
        this.storageStatus = storageStatus;
    }

    public Long getStorageStatus() {
        return storageStatus;
    }

    public void setSysUserId(Long sysUserId) {
        this.sysUserId = sysUserId;
    }

    public Long getSysUserId() {
        return sysUserId;
    }

    public void setShelf(Integer shelf) {
        this.shelf = shelf;
    }

    public Integer getShelf() {
        return shelf;
    }

    public void setShelfLifeStart(Date shelfLifeStart) {
        this.shelfLifeStart = shelfLifeStart;
    }

    public Date getShelfLifeStart() {
        return shelfLifeStart;
    }

    public void setShelfLifeEnd(Date shelfLifeEnd) {
        this.shelfLifeEnd = shelfLifeEnd;
    }

    public Date getShelfLifeEnd() {
        return shelfLifeEnd;
    }

    public void setLeadUserId(Long leadUserId) {
        this.leadUserId = leadUserId;
    }

    public Long getLeadUserId() {
        return leadUserId;
    }

    public void setLeadTime(Date leadTime) {
        this.leadTime = leadTime;
    }

    public Date getLeadTime() {
        return leadTime;
    }


}
